Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.util
Class TCasToInlineXml

    java.lang.Object
      org.apache.uima.util.TCasToInlineXml

All Implemented Interfaces:
  TCasFormatter

Deprecated. As of v2.0, use `CasToInlineXml` instead.

    public class TCasToInlineXml

extends Object
implements TCasFormatter

Generates an inline XML representation of a CAS. Annotation types are represented as XML tags, features are represented as attributes. Note that features whose values are FeatureStructures are not represented.

Constructor Summary
`TCasToInlineXml()` Deprecated.

Method Summary
`void` | `destroy()` Deprecated. This destroy method does nothing.
`String` | `format(CAS aCAS)` Deprecated. Produces a string representation of a CAS.
`String` | `format(CAS aCAS, FSMatchConstraint aFilter)` Deprecated. Produces a string representation of a CAS.
`String` | `generateXML(CAS aCAS)` Deprecated. Generates inline XML from a CAS.
`String` | `generateXML(CAS aCAS, FSMatchConstraint aFilter)` Deprecated. Generates inline XML from a CAS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCasToInlineXml

    public TCasToInlineXml()

  Deprecated.

Method Detail

### destroy

    public void destroy()

  Deprecated.
  This destroy method does nothing.

  See Also:
    `Resource.destroy()`

### format

    public String format(CAS aCAS)
                  throws CASException

  Deprecated.
  Description copied from interface: `TCasFormatter`
  Produces a string representation of a CAS.

  Specified by:
    `format` in interface `TCasFormatter`
  Parameters:
    `aCAS` - the CAS to be formatted
  Returns:
    a string representation of `aCAS`.
  Throws:
    `CASException` - if an exception occurs reading from the CAS
  See Also:
    `TCasFormatter.format(CAS)`

### format

    public String format(CAS aCAS,
                         FSMatchConstraint aFilter)
                  throws CASException

  Deprecated.
  Description copied from interface: `TCasFormatter`
  Produces a string representation of a CAS. Only those feature structures that satisfy the specified filter will appear in the string representation.

  Specified by:
    `format` in interface `TCasFormatter`
  Parameters:
    `aCAS` - the CAS to be formatted
    `aFilter` - a constraint which FeatureStructures must satisfy in order to be included in the resulting string
  Returns:
    a string representation of `aCAS`.
  Throws:
    `CASException` - if an exception occurs reading from the CAS
  See Also:
    `TCasFormatter.format(CAS, FSMatchConstraint)`

### generateXML

    public String generateXML(CAS aCAS)
                       throws CASException

  Deprecated.
  Generates inline XML from a CAS.

  Parameters:
    `aCAS` - CAS to generate from
  Throws:
    `CASException`

### generateXML

    public String generateXML(CAS aCAS,
                              FSMatchConstraint aFilter)
                       throws CASException

  Deprecated.
  Generates inline XML from a CAS.

  Parameters:
    `aCAS` - CAS to generate from
    `aFilter` - constraint that determines which annotations are included in the output. If null (or ommitted), all annotations are included.
  Throws:
    `CASException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.